import SwiftUI

struct ContentView: View {
	@State private var window: NSWindow?
	@State private var statusItem: NSStatusItem?

    var body: some View {
        VStack {}
		.task {
			NSApp.windows.first?.orderOut(nil)
			try? await Task.sleep(for: .seconds(0.5))
			NSApp.setActivationPolicy(.accessory)

			let window = NSWindow(contentRect: CGRect(x: 0, y: 0, width: 400, height: 400), styleMask: [.titled, .closable], backing: .buffered, defer: false)
			window.center()
			window.isReleasedWhenClosed = false
			window.level = .floating
			window.collectionBehavior = [
				.fullScreenAuxiliary,
				.canJoinAllSpaces
			]
			self.window = window

			let statusItem = NSStatusBar.system.statusItem(withLength: NSStatusItem.variableLength)
			self.statusItem = statusItem
			statusItem.button!.title = "Click me"
			statusItem.button!.onAction = { _ in
				NSApp.yieldActivation(to: .current)
				NSApp.activate()
				window.orderFrontRegardless()
			}
		}
    }
}

#Preview {
    ContentView()
}
